/* _________________________________________________________________________________________________________ //
  Copyright  1993 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 1/3/93
  Revision comments are at the end of this file.
  ---
  TColorPicker is a simple color picker utility class	
  TColorPicker.h contains the TColorPicker class definitions. 
  _________________________________________________________________________________________________________ */

// Declare label for this header file
#ifndef _COLORPICKER_
#define _COLORPICKER_

#ifndef _DTSCPLUSLIBRARY_
#include "DTSCPlusLibrary.h"
#endif

// TOOLBOX HEADERS
#ifndef __PICKER__
#include <Picker.h>
#endif

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif

// _________________________________________________________________________________________________________ //
//	TColorPicker Class Interface.
class TColorPicker
{
public:
	// CONSTRUCTORS AND DESTRUCTORS
	TColorPicker(Boolean keepTrack = true);
	virtual~ TColorPicker();

	// MAIN INTERFACE
	virtual Boolean Select(Str255 string = "\p");// select an RGB value
	virtual void Reset();						// reset so the initial color is white
	virtual RGBColor GetSelectedColor() const;	// return RGB value of earlier Select
	virtual CMYColor GetSelectedCMYColor();		// return CMY value of earlier Select
	virtual HSLColor GetSelectedHSLColor();		// return HSL value of earlier Select
	virtual HSVColor GetSelectedHSVColor();		// return HSV value of earlier Select

	// FIELDS
protected:
	Boolean fKeepTrack;							// enable if we want to keep track of earlier selected color
	RGBColor fInitialColor;						// initially set RGBvalue (if fKeepTrack is true)
	RGBColor fSelectedColor;					// keeps the latest selected value
	Point fDialogPoint;							// dialog point for the color picker
};

#endif

// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		1/3/93		New file
  2			khs		1/5/93		Cleanup
*/
