/* _________________________________________________________________________________________________________ //
  Copyright  1992 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Originator: Kent Sandvik
  Date: 9/20/92
  Revision comments are at the end of this file.
  ---
  TKeyMap is a KeyMap utility class.
  TKeyMap.h contains the header file information for the TKeyMap class construction.
  _________________________________________________________________________________________________________ */

// Declare label for this header file
#ifndef _KEYMAP_
#define _KEYMAP_

#ifndef _DTSCPLUSLIBRARY_
#include "DTSCPlusLibrary.h"
#endif

#ifndef __EVENTS__
#include "Events.h"
#endif

#ifndef __TOOLUTILS__
#include <ToolUtils.h>
#endif


// _________________________________________________________________________________________________________ //
//	Class Interface

class TKeyMap
// TKeyMap is a utility class for manipulation of the KeyMap information.
{
public:
	//	CONSTRUCTORS & DESTRUCTORS
	TKeyMap();
	virtual~ TKeyMap();

	//	MAIN INTERFACES
	virtual Boolean OptionKeyDown();			// test if option key is down
	virtual Boolean CommandKeyDown();			// test if command key is down
	virtual Boolean ShiftKeyDown();				// test if shift key is down
	virtual Boolean IsKeyDown(unsigned short key);// test if any key is down

	//	FIELDS
protected:
	KeyMap fKeyMap;								// caches the keymap structure
};


#endif _KEYMAP_

// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No			Init.		Date			Comment
  1			khs		9/20/92		New file
*/

